Re: PMD Plugin

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: PMD Plugin

Brad Sneade
I'm taking a stab at the PMD plugin.  Rather then reinvent the wheel
in plotting the results, I'm trying to depend on the Plot plugin and
have tried to add the dependency via:

   ...
   <dependency>
      <groupId>org.jvnet.hudson.plugins</groupId>
      <artifactId>plot</artifactId>
      <version>1.0</version>
   </dependency>
 </dependencies>

When Maven resolved (in eclipse if it matters) I get the following:

7/23/07 10:46:37 PM EDT: Missing:
----------
1) org.jvnet.hudson.plugins:plot:jar:1.0

 Try downloading the file manually from the project website.

 Then, install it using the command:
     mvn install:install-file -DgroupId=org.jvnet.hudson.plugins
-DartifactId=plot \
         -Dversion=1.0 -Dpackaging=jar -Dfile=/path/to/file

 Path to dependency:
       1) org.jvnet.hudson.tools:pmd:hpi:1.0-SNAPSHOT
       2) org.jvnet.hudson.plugins:plot:jar:1.0

----------
1 required artifact is missing.

Any ideas?  I can try downloading and installing it (as the error
suggests), but am I doing something wrong?

Thanks..

P.S. Sorry about the post to the issues list... it helps to pay
attention sometimes.

--
Brad Sneade

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: PMD Plugin

Kohsuke Kawaguchi
Administrator
The plot plugin was probably not pushed into the maven repository, as
the steps to do so is rather tedious. A plugin developer would have to
follow https://maven2-repository.dev.java.net/ and then run "mvn
release:prepare release:perform" for making a release.

If Nigel doesn't mind, I'd be happy to post another release of the
plot plugin so that all the artifacts will be pushed to the maven
repository. Then you can declare dependency to it.

2007/7/23, Brad Sneade <[hidden email]>:

> I'm taking a stab at the PMD plugin.  Rather then reinvent the wheel
> in plotting the results, I'm trying to depend on the Plot plugin and
> have tried to add the dependency via:
>
>    ...
>    <dependency>
>       <groupId>org.jvnet.hudson.plugins</groupId>
>       <artifactId>plot</artifactId>
>       <version>1.0</version>
>    </dependency>
>  </dependencies>
>
> When Maven resolved (in eclipse if it matters) I get the following:
>
> 7/23/07 10:46:37 PM EDT: Missing:
> ----------
> 1) org.jvnet.hudson.plugins:plot:jar:1.0
>
>  Try downloading the file manually from the project website.
>
>  Then, install it using the command:
>      mvn install:install-file -DgroupId=org.jvnet.hudson.plugins
> -DartifactId=plot \
>          -Dversion=1.0 -Dpackaging=jar -Dfile=/path/to/file
>
>  Path to dependency:
>        1) org.jvnet.hudson.tools:pmd:hpi:1.0-SNAPSHOT
>        2) org.jvnet.hudson.plugins:plot:jar:1.0
>
> ----------
> 1 required artifact is missing.
>
> Any ideas?  I can try downloading and installing it (as the error
> suggests), but am I doing something wrong?
>
> Thanks..
>
> P.S. Sorry about the post to the issues list... it helps to pay
> attention sometimes.
>
> --
> Brad Sneade
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>


--
Kohsuke Kawaguchi

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: PMD Plugin

Kohsuke Kawaguchi
Administrator

I posted plot 1.1, and it should be in the java.net maven2 repository
shortly.

Kohsuke Kawaguchi wrote:

> The plot plugin was probably not pushed into the maven repository, as
> the steps to do so is rather tedious. A plugin developer would have to
> follow https://maven2-repository.dev.java.net/ and then run "mvn
> release:prepare release:perform" for making a release.
>
> If Nigel doesn't mind, I'd be happy to post another release of the
> plot plugin so that all the artifacts will be pushed to the maven
> repository. Then you can declare dependency to it.
>
> 2007/7/23, Brad Sneade <[hidden email]>:
>> I'm taking a stab at the PMD plugin.  Rather then reinvent the wheel
>> in plotting the results, I'm trying to depend on the Plot plugin and
>> have tried to add the dependency via:
>>
>>    ...
>>    <dependency>
>>       <groupId>org.jvnet.hudson.plugins</groupId>
>>       <artifactId>plot</artifactId>
>>       <version>1.0</version>
>>    </dependency>
>>  </dependencies>
>>
>> When Maven resolved (in eclipse if it matters) I get the following:
>>
>> 7/23/07 10:46:37 PM EDT: Missing:
>> ----------
>> 1) org.jvnet.hudson.plugins:plot:jar:1.0
>>
>>  Try downloading the file manually from the project website.
>>
>>  Then, install it using the command:
>>      mvn install:install-file -DgroupId=org.jvnet.hudson.plugins
>> -DartifactId=plot \
>>          -Dversion=1.0 -Dpackaging=jar -Dfile=/path/to/file
>>
>>  Path to dependency:
>>        1) org.jvnet.hudson.tools:pmd:hpi:1.0-SNAPSHOT
>>        2) org.jvnet.hudson.plugins:plot:jar:1.0
>>
>> ----------
>> 1 required artifact is missing.
>>
>> Any ideas?  I can try downloading and installing it (as the error
>> suggests), but am I doing something wrong?
>>
>> Thanks..
>>
>> P.S. Sorry about the post to the issues list... it helps to pay
>> attention sometimes.
>>
>> --
>> Brad Sneade
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: [hidden email]
>> For additional commands, e-mail: [hidden email]
>>
>>
>
>

--
Kohsuke Kawaguchi
Sun Microsystems                   [hidden email]

smime.p7s (4K) Download Attachment